using GameData;
using GameDAL.Game;
using MrWu.Basic;
using MrWu.Debug;
using ObjectModel;
using ObjectModel.Backend;
using Server.DB.Redis;
using Server.DB.Sql;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using ObjectModel.User;

namespace GameDAL.Backend
{
    public static class BMAdminDal
    {
        const int DBIdx = 8;
        public static readonly TimeSpan outT = new TimeSpan(1, 0, 0);
        
        /// <summary>
        /// 根据推广标识获取用户
        /// </summary>
        /// <param name="platTag"></param>
        /// <returns></returns>
        public static BMAdminModel GetBMAdminModelByPlatTag(string platTag)
        {
            return null;
        }
        

        public static Task<long> GetRedNumAsync(int userid)
        {
            return Task.Run(() => GetRedNum(userid));
        }

        /// <summary>
        /// 获取玩家红包
        /// </summary>
        /// <param name="userid"></param>
        /// <returns></returns>
        public static long GetRedNum(int userid)
        {
            return 1;
        }

        /// <summary>
        /// 给玩家加减红包
        /// </summary>
        /// <param name="userid"></param>
        /// <param name="num">正数加 负数减</param>
        public static void AddRedNum(int userid, int num)
        {
           
        }
        
        
    }
}
